# symfony

## Requirements

* ubuntu php-cli (sudo nala install php-curl php-xml php-mysql)
* [Install Composer](https://www.nickyeoman.com/page/install-composer-on-ubuntu) 
* [Symfony cli](https://symfony.com/download)


## Create your Project

I needed a faster install (don't do anything twice).
Just change "YOUR_PROJECT_NAME" to whatever you want.

```bash
wget fbot.co/nysymfony
bash nysymfony YOUR_PROJECT_NAME
rm nysymfony
cd YOUR_PROJECT_NAME
```

The next steps to take would be:

1. Verify the ```.env``` and ```docker-compose.md``` file
1. start docker ```sudo docker-compose up -d```
1. [Create your controllers](https://git.gopo.li/nick/symfony/src/branch/main/docs/Controller.md)
1. Run sass ```sass sass/project.sass public/css/main.css```
1. [Create your security](https://git.gopo.li/nick/symfony/src/branch/main/docs/Security.md)

# Currently supported and tested on

I am only one man, I can only support the following, issues for other versions will be closed.

* PHP: 8.1
* Symfony: 6.1.7
* Docker: 20.10
* Mariadb: 10.7